OpenNMS API 1.2.9

## org.opennms.netmgt.config.poller
Class PollerConfiguration

    java.lang.Object
      org.opennms.netmgt.config.poller.PollerConfiguration

All Implemented Interfaces:
  java.io.Serializable

public class PollerConfiguration
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` `_has_threads` keeps track of state for field: _threads
`private java.util.ArrayList` `_monitorList`
`private java.lang.String` `_nextOutageId`
`private NodeOutage` `_nodeOutage`
`private java.util.ArrayList` `_packageList`
`private java.lang.String` `_serviceUnresponsiveEnabled`
`private int` `_threads`
`private java.lang.String` `_xmlrpc`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`PollerConfiguration()`

Method Summary
`void` `addMonitor(int index, Monitor vMonitor)`
`void` `addMonitor(Monitor vMonitor)`
`void` `addPackage(int index, Package vPackage)`
`void` `addPackage(Package vPackage)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearMonitor()`
`void` `clearPackage()`
`java.util.Enumeration` `enumerateMonitor()`
`java.util.Enumeration` `enumeratePackage()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Monitor[]` `getMonitor()`
`Monitor` `getMonitor(int index)`
`java.util.Collection` `getMonitorCollection()`
`int` `getMonitorCount()`
`java.lang.String` `getNextOutageId()` Returns the value of field 'nextOutageId'.
`NodeOutage` `getNodeOutage()` Returns the value of field 'nodeOutage'.
`Package[]` `getPackage()`
`Package` `getPackage(int index)`
`java.util.Collection` `getPackageCollection()`
`int` `getPackageCount()`
`java.lang.String` `getServiceUnresponsiveEnabled()` Returns the value of field 'serviceUnresponsiveEnabled'.
`int` `getThreads()` Returns the value of field 'threads'.
`java.lang.String` `getXmlrpc()` Returns the value of field 'xmlrpc'.
`boolean` `hasThreads()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeMonitor(Monitor vMonitor)`
`boolean` `removePackage(Package vPackage)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setMonitor(int index, Monitor vMonitor)`
`void` `setMonitor(Monitor[] monitorArray)`
`void` `setMonitorCollection(java.util.Collection vMonitor)`
`void` `setNextOutageId(java.lang.String nextOutageId)` Sets the value of field 'nextOutageId'.
`void` `setNodeOutage(NodeOutage nodeOutage)` Sets the value of field 'nodeOutage'.
`void` `setPackage(int index, Package vPackage)`
`void` `setPackage(Package[] _packageArray)`
`void` `setPackageCollection(java.util.Collection vPackage)`
`void` `setServiceUnresponsiveEnabled(java.lang.String serviceUnresponsiveEnabled)` Sets the value of field 'serviceUnresponsiveEnabled'.
`void` `setThreads(int threads)` Sets the value of field 'threads'.
`void` `setXmlrpc(java.lang.String xmlrpc)` Sets the value of field 'xmlrpc'.
`static PollerConfiguration` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _threads

    private int _threads

### _has_threads

    private boolean _has_threads

  keeps track of state for field: _threads

### _nextOutageId

    private java.lang.String _nextOutageId

### _serviceUnresponsiveEnabled

    private java.lang.String _serviceUnresponsiveEnabled

### _xmlrpc

    private java.lang.String _xmlrpc

### _nodeOutage

    private NodeOutage _nodeOutage

### _packageList

    private java.util.ArrayList _packageList

### _monitorList

    private java.util.ArrayList _monitorList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### PollerConfiguration

    public PollerConfiguration()

Method Detail

### addMonitor

    public void addMonitor(Monitor vMonitor)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vMonitor` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addMonitor

    public void addMonitor(int index,
                           Monitor vMonitor)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMonitor` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPackage

    public void addPackage(Package vPackage)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vPackage` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPackage

    public void addPackage(int index,
                           Package vPackage)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vPackage` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearMonitor

    public void clearMonitor()

### clearPackage

    public void clearPackage()

### enumerateMonitor

    public java.util.Enumeration enumerateMonitor()

### enumeratePackage

    public java.util.Enumeration enumeratePackage()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getMonitor

    public Monitor getMonitor(int index)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getMonitor

    public Monitor[] getMonitor()

### getMonitorCollection

    public java.util.Collection getMonitorCollection()

### getMonitorCount

    public int getMonitorCount()

### getNextOutageId

    public java.lang.String getNextOutageId()

  Returns the value of field 'nextOutageId'.

  Returns:
    the value of field 'nextOutageId'.

### getNodeOutage

    public NodeOutage getNodeOutage()

  Returns the value of field 'nodeOutage'.

  Returns:
    the value of field 'nodeOutage'.

### getPackage

    public Package getPackage(int index)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getPackage

    public Package[] getPackage()

### getPackageCollection

    public java.util.Collection getPackageCollection()

### getPackageCount

    public int getPackageCount()

### getServiceUnresponsiveEnabled

    public java.lang.String getServiceUnresponsiveEnabled()

  Returns the value of field 'serviceUnresponsiveEnabled'.

  Returns:
    the value of field 'serviceUnresponsiveEnabled'.

### getThreads

    public int getThreads()

  Returns the value of field 'threads'.

  Returns:
    the value of field 'threads'.

### getXmlrpc

    public java.lang.String getXmlrpc()

  Returns the value of field 'xmlrpc'.

  Returns:
    the value of field 'xmlrpc'.

### hasThreads

    public boolean hasThreads()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeMonitor

    public boolean removeMonitor(Monitor vMonitor)

  Parameters:
    `vMonitor` -

### removePackage

    public boolean removePackage(Package vPackage)

  Parameters:
    `vPackage` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setMonitor

    public void setMonitor(int index,
                           Monitor vMonitor)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vMonitor` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setMonitor

    public void setMonitor(Monitor[] monitorArray)

  Parameters:
    `monitorArray` -

### setMonitorCollection

    public void setMonitorCollection(java.util.Collection vMonitor)

  Parameters:
    `vMonitor` -

### setNextOutageId

    public void setNextOutageId(java.lang.String nextOutageId)

  Sets the value of field 'nextOutageId'.

  Parameters:
    `nextOutageId` - the value of field 'nextOutageId'.

### setNodeOutage

    public void setNodeOutage(NodeOutage nodeOutage)

  Sets the value of field 'nodeOutage'.

  Parameters:
    `nodeOutage` - the value of field 'nodeOutage'.

### setPackage

    public void setPackage(int index,
                           Package vPackage)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vPackage` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setPackage

    public void setPackage(Package[] _packageArray)

  Parameters:
    `_packageArray` -

### setPackageCollection

    public void setPackageCollection(java.util.Collection vPackage)

  Parameters:
    `vPackage` -

### setServiceUnresponsiveEnabled

    public void setServiceUnresponsiveEnabled(java.lang.String serviceUnresponsiveEnabled)

  Sets the value of field 'serviceUnresponsiveEnabled'.

  Parameters:
    `serviceUnresponsiveEnabled` - the value of field 'serviceUnresponsiveEnabled'.

### setThreads

    public void setThreads(int threads)

  Sets the value of field 'threads'.

  Parameters:
    `threads` - the value of field 'threads'.

### setXmlrpc

    public void setXmlrpc(java.lang.String xmlrpc)

  Sets the value of field 'xmlrpc'.

  Parameters:
    `xmlrpc` - the value of field 'xmlrpc'.

### unmarshal

    public static PollerConfiguration unmarshal(java.io.Reader reader)
                                         throws org.exolab.castor.xml.MarshalException,
                                                org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.